#' Artificial HIV dataset
#'
#' @description Artificial dataset that was simulated to resemble the HIV study on loss to HIV care and death in sub-Saharan Africa, that was presented in Bakoyannis, Yu, & Yiannoutsos (2017). It contains subject id, observation times, cause of failure, and covariates.
#'
#' @docType data
#'
#' @usage pseudo.HIV.long
#'
#' @format A data frame with 22710 rows and 6 variables.
#'
#' @keywords datasets
#'
#' @examples
#' head(pseudo.HIV.long, n = 20)
#'
#' @references
#' {Bakoyannis, G., Yu, M., and Yiannoutsos C. T. (2017). Semiparametric regression on cumulative incidence function with interval-censored competing risks data. \emph{Statistics in Medicine}, \strong{36}:3683-3707.}
"pseudo.HIV.long"
